# mx-web-boilerplate

The starter boilerplate is designed to get you up and running with a bunch of awesome new front-end technologies, all on top of a configurable, feature-rich webpack build system that's already setup to provide hot reloading, CSS modules with Sass support, unit testing, code coverage reports, bundle splitting, and a whole lot more.

## Requirements
* node `^6.0.0`
* npm `^3.8.6`

## Getting Started

After confirming that your development environment meets the specified [requirements](#requirements), you can follow these steps to get the project up and running:

```bash
$ git clone <url>
$ cd mx-web-boilerplate
$ npm install                   # Install project dependencies
$ npm start                     # Compile and launch
```

Then visit [http://127.0.0.1:3000/](http://127.0.0.1:3000/)


## Available Scripts

In the project directory, you can run:

### `npm start`

Runs the app in the development mode.<br>
Open [http://localhost:3000](http://localhost:3000) to view it in the browser.

The page will reload if you make edits.<br>
You will also see any lint errors in the console.

### `npm test`

Launches the test runner in the interactive watch mode.<br>
See the section about [running tests](#running-tests) for more information.

### `npm run build --apiHost=http://<host-url>/ --staticPath=http://<host-url>/`

npm run build --staticPath=http://localhost:90001 --apiHost=http://localhost:90001/

--staticPath  静态资源路径
--apiHost     请求接口路径


Builds the app for production to the `build` folder.<br>
It correctly bundles React in production mode and optimizes the build for the best performance.

The build is minified and the filenames include the hashes.<br>
Your app is ready to be deployed!

Attention: The host must be specified!
